System.Web 2.0.0.0

Page developers and control authors do not use the interface. The interface is implemented by designer developers to provide device filter-related services when parsing and persisting controls in the designer environment.

The interface is used when a designer developer needs to support the editing of filtered properties.

The interface is specific to controls' use of device filters in a designer environment. When controls are parsed or persisted in the designer environment outside the context of a browser request, the interface provides a way to determine whether the current control is affected by a named filter and whether a named filter is part of a specific device-filter hierarchy.

The class implements the interface.

Provides an interface that designer developers can use to evaluate device filters by name.

- Method
  System.Int32 `` `` To be added.

  Returns a value indicating whether a parent-child relationship exists between two specified device filters.

  1 if the device filter identified by is a parent of the filter identified by , -1 if the device filter identified by is a parent of the filter identified by , and 0 if there is no parent-child relationship between the two filters.

  A device filter name. A device filter name 2.0.0.0
- Method
  System.Boolean ``

  The method determines whether a named device filter is a type of filter supported by the object.

  Returns a value indicating whether the specified filter is a type of the current filter object.

  true if the specified filter is a type applicable to the current filter object; otherwise, false.

  The name of a device filter. 2.0.0.0